# Hugo theme : Frigg

This is a dark and classy Hugo theme.

## Installation

To install Simple-site theme, you can simply clone the repository
to your site's theme directory.

```bash
$ mkdir themes
$ cd themes
$ git clone https://git.vulgarisons.info/raghnarok/hugo_frigg.git snotra
```

Don't forget to change the theme in your config.toml file.

## Configuration

### Base

```toml
baseurl = "https://yourdoma.in" # The base url of your Hugo website
title = "Title"                 # The title of your website
author = "Author"               # The author of the website
language = "fr"
theme = "frigg"                 # The Hugo theme
```

### Menu

The menu is generated following all the files in the root directory
and the articles in the *blog* directory.
To avoid the *blog* entry to be pluralized,
add the following option to your config file:

```toml
pluralizeListTitles = false
```

### Description

You can use some parameters to fill meta tags and bases images:

```toml
[params]
	description = "" # Description for the meta tag
	favicon = ""     # Favicon URL
	logo = ""        # Logo URL
	keyword = ""     # Keywords for the meta tag
```

The favicon is only the filename,
the file should be in *static/images* directory.
If favicon isn't set, the default test values are favicon.svg and favicon.png.
If none exists, there will be no favicon.

### Home page

The home page use one avatar, the name and one description.

Every pages get a list of social networks and others links.
For the social networks, see *Social Networks* chapter.

```toml
[params]
	author = "Author"     # The author of the website
	info   = "Your infos" # Displayed under author name
	avatar = "file.png"   # Placed in static/images
```

### Twitter:card

Twitter cards are automaticly generated.
If you want tho have the twitter:site meta generated,
add the following option to your config file:

```toml
[params]
	twitterUser = "youruser" # Your Twitter account without @
```

### Custom CSS

```toml
[params]
	custom_css = ["style.css"] # Your own css files
```

### Social Networks

You can also set some of your networks accounts to display on the home page.
Every social network (or not so network) have to be described with thoses
options:

```toml
[[params.social]]
	name   = "Title of the entry"            # Title, used on hover
	icon   = "gitea"                         # Icon to use
	weight = 1                               # Sort order
	url    = "https://gitea.io/user"         # Link to your account
```

You can also add some non social elements, you only need to have an icon.
